Page MenuHomePhabricator

Investigate the uses of the old editor system in Flow, and clean up the uses in handlebars
Closed, ResolvedPublic

Description

The old editor system is still being used in some edge cases. We need to:

  • Check whether there are any more uses,
  • Check whether the cases we know about can be fixed to use the new editor without much hassle
  • Clean up the references to the old editor in Handlebars

The currently known cases:

  • Clicking "undo" from the history page
  • Opening "edit reply" in a new window (presenting nojs view with javascript enabled)

Event Timeline

Mooeypoo created this task.Oct 1 2015, 10:42 PM
Mooeypoo claimed this task.
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo updated the task description. (Show Details)
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 10:42 PM

Change 243825 had a related patch set uploaded (by Mooeypoo):
Replace old editor with new in no-js view with js

https://gerrit.wikimedia.org/r/243825

Change 244369 had a related patch set uploaded (by Mooeypoo):
Use the new editor when undoing edits

https://gerrit.wikimedia.org/r/244369

Catrope added a subscriber: Catrope.Oct 8 2015, 6:32 PM

The "edit topic summary" no-js view with JS enabled still uses the old system.

Change 243825 merged by jenkins-bot:
Replace old editor with new in no-js view with js

https://gerrit.wikimedia.org/r/243825

Change 244369 merged by jenkins-bot:
Use the new editor when undoing edits

https://gerrit.wikimedia.org/r/244369

Change 245579 had a related patch set uploaded (by Mooeypoo):
Use the new editor when editing topic summary in a new window

https://gerrit.wikimedia.org/r/245579

Change 245579 merged by jenkins-bot:
Use the new editor when editing topic summary in a new window

https://gerrit.wikimedia.org/r/245579

Clicking "undo" from the history page

Blocking issue: T115525 'undo' for Board description edits is not functioning

Summary:

Clicking "undo" from the history page

  • 'undo' uses the correct (new-style) wikitext icon for undo Comment and Board description

Blocking issue: T115525 'undo' for Board description edits is not functioning

  • Fixed/Verified

Opening "edit reply" in a new window (presenting nojs view with javascript enabled)

  • Checked.

T116085 "History: 'undo' for topic summary still has the old-style icon"

  • Filed.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 22 2015, 10:54 PM
Catrope closed this task as Resolved.Nov 22 2015, 10:54 PM